#         C3 version 3.1.2:   Cluster Command & Control Suite
#           Oak Ridge National Laboratory, Oak Ridge, TN,
#     Authors:  M.Brim, R.Flanery, G.A.Geist, B.Luethke, S.L.Scott
#                 (C) 2000-03 All Rights Reserved
#
#                             NOTICE
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted
# provided that the above copyright notice appear in all copies and
# that both the copyright notice and this permission notice appear in
# supporting documentation.
#
# Neither the Oak Ridge National Laboratory nor the Authors make any
# representations about the suitability of this software for any
# purpose.  This software is provided "as is" without express or
# implied warranty.

# The C3 tools were funded by the U.S. Department of Energy.

class c3_except:
	description = ""
	last = ""

	def __init__(self, string, name):
		self.description = string
		self.last = name


class parse_error( c3_except ):
	pass

class no_more_clusters( c3_except ):
	pass

class invalid_head_node( parse_error ):
	pass

class invalid_cluster_block( parse_error ):
	pass

class no_head_node( c3_except ):
	pass

class invalid_node( parse_error ):
	pass

class end_of_cluster( c3_except ):
	pass

class internel_error( c3_except ):
	pass

class indirect_cluster( parse_error ):
	pass

class not_in_range( parse_error ):
	pass

class end_of_option( c3_except ):
	pass

class bad_string( parse_error ):
	pass

class end_of_opt_string( bad_string ):
	pass
